<div class="row margint1vh">
    <div class="col common-title common-header-h4">
      <h4>{{ 'labelAllReviews' | translate:lang }}</h4>
    </div>
  </div>
<div class="product-review-wrap">
  <div class="row" *ngIf="ratingList">
    <div class="col-md-3">
      <div class="review-img">
        <img (click)="goToProductDetails()" [src]="ratingList.productImage" alt="ratingList.productName">
      </div>
      <span class="product-name">{{ratingList.productName}}</span>
    </div>
    <div class="col-md-9">
      <div class="all-ratings" *ngIf="reviewLength > 0">
        <app-rating-popup [ratingList]="ratingList" [from]="from"></app-rating-popup>
        <div class="all-reviews" *ngIf="reviewList">
          <div class="product-cus-review mt-2" *ngFor="let review of reviewList">
            <div class="prt-customer-review mt-2">
              <div class="review-head mt-4 ml-4 mr-4">
                <div class="row">
                  <div class="col-md-12">
                    <div class="review-wrap">
                    <div class="review-t">
                    <h6>{{review.reviewTitle}}</h6> </div>
                    <div class="reply-count" *ngIf ="review.replyCount > 0" (click)="openreplyPopup(review.reviewId)">{{review.replyCount}} {{review.replyCount | i18nPlural: pluralMapping['replyCount'] | translate:lang}}</div>
                    </div>
                    <span class="rating-icon">{{review.productRating}}★</span>
                  </div>
                </div>
              </div>
              <div class="reviews mt-1 ml-4 mr-4">
                <p>{{review.reviewMessage}}</p>
              </div>
              <div class="review-user-name mt-1 ml-4 mr-4 mb-2">
                {{review.firstName}} {{review.lastName}} {{review.createdAt | customDate}}
              </div>
            </div>
          </div>
          <div class="showmore-wrap" *ngIf="reviewLength > reviewList.length">
            <button class="mt-3 show-more" mat-raised-button (click)="showMoreReviews()" color="primary">{{ 'buttonShowMore' | translate:lang }}</button>
          </div>
        </div>
      </div>
      <div *ngIf="reviewLength === 0">
        {{'lableNoReviews' | translate: lang}}
      </div>
    </div>
  </div>
</div>
